DefaultRendererRegistry (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.web.rest.render
[Groovy] Class DefaultRendererRegistry

    java.lang.Object
      org.codehaus.groovy.grails.web.util.ClassAndMimeTypeRegistry
          org.grails.plugins.web.rest.render.DefaultRendererRegistry

All Implemented Interfaces:
  RendererRegistry

    @groovy.transform.CompileStatic
    class DefaultRendererRegistry
    extends ClassAndMimeTypeRegistry

Default implementation of the RendererRegistry interface

Authors:
  Graeme Rocher

Since:
  2.3

Nested Class Summary
`class` | `DefaultRendererRegistry.ContainerRendererCacheKey`
`class` | `DefaultRendererRegistry.RendererCacheKey`

Property Summary
`GrailsConventionGroovyPageLocator` | `groovyPageLocator`
`java.lang.String` | `modelSuffix`
`ProxyHandler` | `proxyHandler`

Constructor Summary
`DefaultRendererRegistry()`

Method Summary
`void` | `addContainerRenderer(java.lang.Class objectType, Renderer renderer)`
`void` | `addDefaultRenderer(Renderer renderer)`
`void` | `addRenderer(Renderer renderer)`
`DefaultRendererRegistry.RendererCacheKey` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
`Renderer` | `findContainerRenderer(MimeType mimeType, java.lang.Class containerType, java.lang.Object object)`
`Renderer` | `findRenderer(MimeType mimeType, java.lang.Object object)`
`protected java.lang.Class` | `getTargetClassForContainer(java.lang.Class containerClass, java.lang.Object object)`
`void` | `initialize()`
`boolean` | `isContainerType(java.lang.Class aClass)`
`void` | `setRenderers(Renderer[] renderers)`

Methods inherited from class ClassAndMimeTypeRegistry
addToRegisteredObjects, createCacheKey, findMatchingObjectForMimeType, findRegisteredObjectForType, getRegisteredObjects, registerDefault, removeFromCache

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### groovyPageLocator

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    GrailsConventionGroovyPageLocator groovyPageLocator

### modelSuffix

    java.lang.String modelSuffix

### proxyHandler

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    ProxyHandler proxyHandler

Constructor Detail

### DefaultRendererRegistry

    DefaultRendererRegistry()

Method Detail

### addContainerRenderer

    @java.lang.Override
    void addContainerRenderer(java.lang.Class objectType, Renderer renderer)

### addDefaultRenderer

    @java.lang.Override
    void addDefaultRenderer(Renderer renderer)

### addRenderer

    @java.lang.Override
    void addRenderer(Renderer renderer)

### createCacheKey

    @java.lang.Override
    DefaultRendererRegistry.RendererCacheKey createCacheKey(java.lang.Class type, MimeType mimeType)

### findContainerRenderer

    @java.lang.Override
    Renderer findContainerRenderer(MimeType mimeType, java.lang.Class containerType, java.lang.Object object)

### findRenderer

    @java.lang.Override
    Renderer findRenderer(MimeType mimeType, java.lang.Object object)

### getTargetClassForContainer

    protected java.lang.Class getTargetClassForContainer(java.lang.Class containerClass, java.lang.Object object)

### initialize

    @javax.annotation.PostConstruct
    void initialize()

### isContainerType

    @java.lang.Override
    boolean isContainerType(java.lang.Class aClass)

### setRenderers

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    void setRenderers(Renderer[] renderers)

Groovy Documentation